Flash 10 is required.